-- Also use for in-game RPs about the dungeon

DungeonLore = LibStub("AceAddon-3.0"):NewAddon("DungeonLore", "AceConsole-3.0", "AceSerializer-3.0", "AceTimer-3.0")
DungeonLore.inInstance = false;
DungeonLore.inBattleGround = false;
DungeonLore.data = nil;

function DungeonLore:OnInitialize()
  -- Code that you want to run when the addon is first loaded goes here.
	self:InitData();
	self:Print("DungeonLore initialized.");
	self.runningTimers = 0
end

function DungeonLore:OnEnable()
    -- Called when the addon is enabled
end

function DungeonLore:OnDisable()
    -- Called when the addon is disabled
end

DungeonLore:RegisterChatCommand("dungeonlore", "HandleSlashCommand")
function DungeonLore:HandleSlashCommand(input)

	-- TODO: Use AceArguments or w/e it is
	command, argument = unpack(BuildArray(gmatch(input, "%S+")));
	local inInstance, instanceType = IsInInstance();
	local inBattleGround = UnitInBattleground("player");
	self.inInstance = inInstance;
	self.inBattleGround = inBattleGround;

	if (command == 'lore' or command == 'strat') then
		if self.inInstance and not self.inBattleGround and (instanceType == "party" or instanceType == "raid") then
			-- TODO: Keep track of which mobs/dungeons we've explained per instance.

			local target = nil;
			if argument == "target" then
				target = UnitName("target");
				--TODO: If there's no target, get dungeon name and use that as the target instead.
			end

			if target then
				if table.haskey(DungeonLore.data[command], target) then
					for i, message in pairs(DungeonLore.data[command][target]) do
						local channel;
						if command == "strat" then
							channel = "INSTANCE_CHAT"
						end
						self:chat(message, channel);
					end
				else
					self:chat("I don't actually know any "..command.." about "..target..". Maybe you should write up something about it?");
				end
			end
		end
	elseif (command == "about") then
		self:chat("I'm using an addon called DungeonLore (it's on Curse). It lets me tell other players both the lore behind dungeon denizens as well as strategies and tactics. It's pretty helpful for when your party mates haven't done a particular dungeon before.");
	end

end

function DungeonLore:chat(message, channel)
	--local message = self:Serialize(message);
	local timer = self:ScheduleTimer("_chat", (5*self.runningTimers)+1, message, channel)
	self.runningTimers = self.runningTimers + 1;
end

function DungeonLore:_chat(message, channel)
	self.runningTimers = self.runningTimers - 1;

	if channel == nil then
		channel = "SAY"
	end

	if self.inInstance and not self.inBattleGround then
		-- If we're in an instance, use /say so we don't unnecessarily annoy people.
		-- People know that /say and /yell in an instance means NPC dialogue.
		SendChatMessage(message, channel);
	else
		-- If we're not in an instance, just talk in the chat frame.
		self:Print(message);
	end
end

function BuildArray(...)
  local arr = {}
  for v in ... do
    arr[#arr + 1] = v
  end
  return arr
end

function table.contains(table, element)
  for _, value in pairs(table) do
    if value == element then
      return true
    end
  end
  return false
end

function table.haskey(table, element)
  for key, _ in pairs(table) do
    if key == element then
      return true
    end
  end
  return false
end
