local DL = DungeonLore;
local data = DL.data;

function DL:LoadRFC()
	if DL.data == nil then
		-- Try again in 5 seconds
	    DL:ScheduleTimer("LoadRFC", 5)
		return
	end

    DL:merge({["lore"]={
        -- RFC Bosses
        ["Adarogg"] = {
            "This flamehound was one of the first to be summoned from The Firelands by the dark shaman in Ragefire Chasm.",
			"It's been fed a steady diet of troggs, hence the distinct lack of troggs.",
            },
		["Dark Shaman Koranthal"] = {
			"After the fall of the cult of the Twilight Hammer, Koranthal and his lackeys took over Ragefire Chasm and continued their dark research.",
		},
		["Slagmaw"] = {
			"Summoned from The Firelands, this lava worm has proven nearly impossible to control. As such the shaman in the Chasm have left it to its own devices.",
		},
		["Lava Guard Gordoth"] = {
			"Once, a powerful shaman, now an insane monaster. After a failed attempt to become an elemental ascendant, the power flowing directly into his body from The Firelands instead drove him mad and twisted his body."
		},

        }});

	DL:merge({["strat"]={

		-- RFC Bosses
        ["Adarogg"] = {
			"Point him away from the group due to his [Flame Breath]. When he targets someone for [Inferno Charge], run 3 yards away from the target."
			},

		["Dark Shaman Koranthal"] = {
			"Interrupt his [Twisted Elements] if you can. Dodge his [Shadow Storm]."
			},

		["Slagmaw"] = {
			"When he targets someone with [Lava Spit], run 3 yards away from the target. After 5 [Lava Spit]s, he'll [Submerge] and re-emerge elsewhere."
			},

		["Lava Guard Gordoth"] = {
			"Both his abilities have knockback, one is a 25 yard AoE ([Seismic Slam]), the other is a single target ([Ground Rupture]). Enrages at 30% health, increasing attack speed by 30%, and damage done by 10%."
			},

		}});

	DL:Print("Loaded Ragefire Chasm");
end

DL:ScheduleTimer("LoadRFC", 5)
