local DL = DungeonLore;
local data = DL.data;

function DL:LoadStockades()
	if DL.data == nil then
		-- Try again in 5 seconds
	    DL:ScheduleTimer("LoadStockades", 5)
		return
	end

    DL:merge({["lore"]={
        -- Stockades Bosses
        ["Hogger"] = {
            "Hogger was captured during the Cataclysm at great cost of life and limb and imprisoned here in The Stockades. Unfortunately he's been causing nothing but trouble.",
            "Hogger organized a gnoll rebellion inside The Stockades and attacked the guards, blinding Warden Felwater in the process."
            },

		["Randolph Moloch"] = {
			"This dapper gentleman leads the human convicts housed in the Stockade.",
			"He's actually got connections to the Stormwind Nobles, and by proxy, Warden Thelwater.",
			"That's why Rifle Commander Coe wants you to have his twin brother Mortimer Moloch switch places with him. Not only will he be able to stop the rebellion peacefully, but the Nobles will be none the wiser!"
			},

		["Lord Overheat"] = {
			"When the earthquakes struck during The Shattering, they unleashed a number of fire elementals from underneath The Stockades. The leader of these is Lord Overheat.",
			"Nurse Lillian wants his fiery core to keep the injured guardsmen toasty and warm while they recover from their wounds.",
			"Nevermind the fact that Lord Overheat's minions slaughtered half the prison population as soon as they arrived."
			},

        -- Stockades NPCs
		["Mortimer Moloch"] = {
			"Mortimer is the twin brother of the man behind the human uprising in The Stockades. Fortunately he doesn't agree with his brother's nefarious plans.",
			"He plans to replace his brother in the rebellion and calm it from the inside, since simply assassinating Randolph would be... ill advised."
			},

		-- These are just here for testing, new lore packs don't need to talk about trashmobs. (If you feel compelled, then by all means.)
        ["Stockade Rifleman"] = {
            "The Stockade Riflemen are the only thing keeping Hogger's gnoll followers from spilling out into the streets of Stormwind!"
            },

		["Stockade Guard"] = {
			"These valiant swordsmen are the front line of defense against all the undesirables in The Stormwind Stockades."
			},

        }});

	DL:merge({["strat"]={

		-- Stockades Bosses
        ["Hogger"] = {
			"[Vicious Slice] bleeds. [Maddening Call] does a 30yd interruptible AoE, also applies a 5s 60% attack/cast speed debuff. Enrages at 30% health, increasing physical damage dealt by 10%, and melee attack speed by 30%."
			},

		["Randolph Moloch"] = {
			"[Wildly Stabbing] speeds up his attack rate, but reduces his chance to hit. [Sweep] hits his target and cleaves to an ally. At ~65% and ~35%, he vanishes and starts attacking a random player."
			},

		["Lord Overheat"] = {
			"Move out of his [Rain of Fire]. Also randomly [Overheat]s a random player, which deals damage and applies a DoT."
			},

		}});

	DL:Print("Loaded Stockades");
end

DL:ScheduleTimer("LoadStockades", 5)
